{% extends "base.html" %}
{% load vstatic %}
{% load crispy_forms_tags %}
{% load custom_tags %}
{% load list_tags %}
{% load rules %}
{% load organizacao_tags %}
{% block content %}
    {% has_perm 'usuaria.administrar' user as pode_administrar_usuaria %}
    {% has_perm 'admin_geral' user as admin_geral %}
    {% if organizacao %}
        {% has_perm 'organizacao.alterar' user organizacao as pode_administrar_organizacao %}
    {% endif %}
    {% if view_facet == 'testes' %}
        <div class="row">
            <div class="col-lg-12">
                <div class="alert alert-info">
                    Esta lista mostra apenas as comunidades <b>de teste</b>.
                </div>
            </div>
        </div>
    {% endif %}
    {% if view_facet == 'validados' %}
        <div class="row">
            <div class="col-lg-12">
                <div class="alert alert-success">
                    Esta lista mostra apenas as comunidades <b>validadas</b>.
                </div>
            </div>
        </div>
    {% endif %}
    {% if view_facet == 'em_analise' %}
        <div class="row">
            <div class="col-lg-12">
                <div class="alert alert-warning">
                    Esta lista mostra apenas as comunidades <b>em análise</b>.
                </div>
            </div>
        </div>
    {% endif %}
    <h2>
        Comunidades
        {% if user.is_parceira %}validadas e com dados públicos{% endif %}
        {% if view_facet == 'testes' %}de teste{% endif %}
        {% if view_facet == 'validados' %}validadas{% endif %}
        {% if view_facet == 'em_analise' %}em análise{% endif %}
        {{ filter_status_revisao }} {{ filter_usuaria }} {{ filter_municipio }}
        {% if organizacao %}- Organização <i>{{ organizacao }}</i>{% endif %}
        {% if filter_status_revisao or filter_usuaria or filter_municipio %}
            <a href="{% prefix_url_organizacao %}{% url 'TerritorioAgregadoIndex' %}"
               class="btn btn-primary pull-right">
                <i class="fa fa-arrow-left"></i> Ver todas
            </a>
        {% endif %}
    </h2>
    <table class="table table-bordered table-striped table-condensed"
           id="territorios_list_table">
        <thead>
            <tr>
                <th class="colStartHidden not-colvis">id</th>
                <th class="cell_territorio">Comunidade</th>
                {% if not user.is_parceira %}
                    {% if not view_facet or view_facet == 'em_analise' %}
                        <th class="colHasSearchPane cell_ranking">Relevância para análise</th>
                    {% endif %}
                    <th {% if organizacao %}class="colHasSearchPane"{% endif %}>Revisor/a</th>
                    <th class="colHasSearchPane">Cadastrante</th>
                    {% if not organizacao and not user.is_reviewer %}<th class="colHasSearchPane organizacao">Organização</th>{% endif %}
                    {% if not view_facet or view_facet != 'testes' %}
                        {% if not view_facet %}<th>Teste</th>{% endif %}
                        <th class="colHasSearchPane">Público</th>
                        {% if not view_facet or view_facet != 'validados' %}<th class="colHasSearchPane">Status</th>{% endif %}
                        {% if not view_facet or view_facet != 'em_analise' %}<th class="colStartHidden">Enviado PTT</th>{% endif %}
                    {% endif %}
                    <th class="colStartHidden">Criação</th>
                {% endif %}
                <th>Validação</th>
                <th class="colStartHidden">Alteração</th>
                <th>Bioma</th>
                <th class="colHasSearchPane">Estado</th>
                <th>Município</th>
                <th class="{% if not organizacao %}colHasSearchPaneTipos{% else %}colStartHidden{% endif %}">Tipos</th>
                {% if admin_geral or pode_administrar_organizacao %}
                    {% if not view_facet or view_facet != 'testes' %}<th class="colStartHidden">Área (m²)</th>{% endif %}
                {% endif %}
                <th class="colStartHidden">Fundação</th>
                <th class="colStartHidden">Famílias</th>
                <th class="colStartHidden">Usos</th>
                <th class="colStartHidden">Conflitos</th>
                {% for tipo_comunidade in tipos_comunidade %}
                    <th class="colStartHidden not-colvis">Segmento: {{ tipo_comunidade.nome }}</th>
                {% endfor %}
                {% for tipo_area_de_uso in tipos_areas_de_uso %}
                    <th class="colStartHidden not-colvis">Uso: {{ tipo_area_de_uso.nome }}</th>
                {% endfor %}
                {% for tipo_conflito in tipos_conflitos %}
                    <th class="colStartHidden not-colvis">Conflito: {{ tipo_conflito.nome }}</th>
                {% endfor %}
            </tr>
        </thead>
        <tbody>
            {% for territorio in territorios %}
                <tr data-title="Comunidade '{{ territorio.nome }}'"
                    data-territorio="{{ territorio.nome }}"
                    data-territorio_id="{{ territorio.id }}"
                    data-revisora="{{ territorio.revisora }}"
                    data-revisora_id="{{ territorio.revisora.id }}"
                    data-organizacao="{{ territorio.organizacao }}">
                    <td>{{ territorio.id }}</td>
                    <td class="cell_territorio">
                        <a href="{% prefix_url_organizacao %}{% url 'territorio_detail' pk=territorio.id %}">{{ territorio.nome }}</a>
                    </td>
                    {% if not user.is_parceira %}
                        {% if not view_facet or view_facet == 'em_analise' %}<td>{{ territorio.relevancia }}</td>{% endif %}
                        <td class="cell_revisora no_colvis">
                            {% if territorio.revisora %}
                                <div class="inner_cell_with_button">
                                    <div class="inner_cell_content">
                                        {% if admin_geral %}
                                            <a href="{% prefix_url_organizacao %}{% url 'usuaria_update' territorio.revisora.id %}">{{ territorio.revisora }}</a>
                                        {% elif not organizacao_id %}
                                            {{ territorio.revisora }}
                                        {% else %}
                                            {{ territorio.revisora }}
                                        {% endif %}
                                    </div>
                                    <div class="inner_cell_button">
                                        {% if pode_administrar_usuaria or user.id == territorio.revisora.id %}
                                            <a href="{% url 'revisora_desassociar' pk=territorio.id %}"
                                               class="revisora_desassociar btn btn-sm btn-remove">
                                                <i class="fa fa-minus"></i>
                                            </a>
                                        {% endif %}
                                    </div>
                                </div>
                            {% elif pode_administrar_usuaria %}
                                <div class="inner_cell_with_button">
                                    <div class="inner_cell_content"></div>
                                    <div class="inner_cell_button">
                                        <button class="revisora_associar btn btn-sm btn-default">
                                            <i class="fa fa-plus"></i>
                                        </button>
                                    </div>
                                </div>
                            {% endif %}
                        </td>
                        <td class="cell_cadastrantes">
                            {% for cadastrante in cadastrantes|get_dict_attr:territorio.id %}
                                {% if cadastrante.usuaria__is_editable %}
                                    <a href="{% prefix_url_organizacao %}{% url 'usuaria_update' cadastrante.usuaria_id %}">
                                        {{ cadastrante.usuaria__first_name }} {{ cadastrante.usuaria__last_name }}
                                    </a>
                                {% else %}
                                    {{ cadastrante.usuaria__first_name }} {{ cadastrante.usuaria__last_name }}
                                {% endif %}
                                {% if not forloop.last %},{% endif %}
                            {% endfor %}
                        </td>
                        {% if not organizacao and not user.is_reviewer %}
                            <td class="cell_organizacao">{% organizacao_associavel_territorio usuaria=user territorio=territorio %}</td>
                        {% endif %}
                        {% if not view_facet or view_facet != 'testes' %}
                            {% if not view_facet %}
                                <td>
                                    {% if territorio.teste %}
                                        Sim
                                    {% else %}
                                        Não
                                    {% endif %}
                                </td>
                            {% endif %}
                            <td>
                                {% if territorio.publico %}
                                    Sim
                                {% else %}
                                    Não
                                {% endif %}
                            </td>
                            {% if not view_facet or view_facet != 'validados' %}
                                <td>
                                    {% if territorios_revisao_status|get_dict_attr:territorio.id %}
                                        {{ territorios_revisao_status|get_dict_attr:territorio.id|first|get_dict_attr:'status_nome' }}
                                    {% endif %}
                                </td>
                            {% endif %}
                            {% if not view_facet or view_facet != 'em_analise' %}
                                <td>
                                    {% if territorio.enviado_ptt %}Sim{% endif %}
                                </td>
                            {% endif %}
                        {% endif %}
                        <td data-order="{{ territorio.criacao|date:"U" }}">{{ territorio.criacao|date:"d/m/Y"|default_if_none:"-" }}</td>
                    {% endif %}
                    <td data-order="{{ territorio.data_validacao|date:"U" }}">
                        {{ territorio.data_validacao|date:"d/m/Y"|default_if_none:"-" }}
                    </td>
                    <td data-order="{{ territorio.ultima_alteracao|date:"U" }}">
                        {{ territorio.ultima_alteracao|date:"d/m/Y"|default_if_none:"-" }}
                    </td>
                    <td>{{ territorio.bioma.bioma }}</td>
                    <td>
                        {% if pode_listar_usuaria and 1 == 2 %}
                            <a href="{% prefix_url_organizacao %}{% url 'MunicipioList' %}?estado={{ territorio.municipio_referencia.estado.id }}"
                               title="ver municípios relacionados a este Estado">
                                {{ territorio.municipio_referencia.estado.nome|default_if_none:"-" }}
                            </a>
                        {% else %}
                            {{ territorio.municipio_referencia.estado.nome|default_if_none:"-" }}
                        {% endif %}
                    </td>
                    <td>
                        {% if pode_listar_usuaria and 1 == 2 %}
                            <a href="{% prefix_url_organizacao %}{% url 'MunicipioList' %}?municipio={{ territorio.municipio_referencia.id }}"
                               title="ver registro na lista de municípios">
                                {{ territorio.municipio_referencia.nome|default_if_none:"-" }}
                            </a>
                        {% else %}
                            {{ territorio.municipio_referencia.nome|default_if_none:"-" }}
                        {% endif %}
                    </td>
                    <td>
                        {% for territorio_tipo_comunidade in territorios_tipos_comunidade.territorios_tipos_comunidade|get_dict_attr:territorio.id %}
                            <span class="badge badge-tipo">{{ territorio_tipo_comunidade }}</span>
                        {% endfor %}
                    </td>
                    {% if admin_geral or pode_administrar_organizacao %}
                        {% if not view_facet or view_facet != 'testes' %}
                            <td>{{ territorio.area|default_if_none:"-"|floatformat:0 }}</td>
                        {% endif %}
                    {% endif %}
                    <td>{{ territorio.ano_fundacao|default_if_none:"-" }}</td>
                    <td>{{ territorio.qtde_familias|default_if_none:"-" }}</td>
                    <td>
                        {% for territorio_uso in territorios_usos_e_conflitos.territorios_usos|get_dict_attr:territorio.id %}
                            {{ territorio_uso }}
                            {% if not forloop.last %},{% endif %}
                        {% empty %} -
                        {% endfor %}
                    </td>
                    <td>
                        {% for territorio_conflito in territorios_usos_e_conflitos.territorios_conflitos|get_dict_attr:territorio.id %}
                            {{ territorio_conflito }}
                            {% if not forloop.last %},{% endif %}
                        {% empty %} -
                        {% endfor %}
                    </td>
                    {% for i, territorio_tipos_comunidade_counter in territorios_tipos_comunidade.territorios_tipos_comunidade_counter|get_items:territorio.id %}
                        <td>{{ territorio_tipos_comunidade_counter }}</td>
                    {% endfor %}
                    {% for i, territorio_uso_counter in territorios_usos_e_conflitos.territorios_usos_counter|get_items:territorio.id %}
                        <td>{{ territorio_uso_counter }}</td>
                    {% endfor %}
                    {% for i, territorio_conflito_counter in territorios_usos_e_conflitos.territorios_conflitos_counter|get_items:territorio.id %}
                        <td>{{ territorio_conflito_counter }}</td>
                    {% endfor %}
                </tr>
            {% endfor %}
        </tbody>
    </table>
    <div id="revisora-associar-modal"
         class="modal fade bs-example-modal-sm"
         role="dialog"
         style="display: none"
         aria-hidden="true">
        <div class="modal-dialog modal-sm">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title"></h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="modal-body">{% crispy form %}</div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Fechar</button>
                    <button type="button" class="btn btn-primary" id="revisora-associar-submit">Salvar</button>
                </div>
            </div>
        </div>
    </div>
    <div id="organizacao-associar-modal"
         class="modal fade"
         role="dialog"
         style="display: none"
         aria-hidden="true">
        <div class="modal-dialog modal-sm">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title"></h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Fechar">
                        <span aria-hidden="true"><i class="fa fa-times"></i></span>
                    </button>
                </div>
                <div class="modal-body">{% crispy formOrganizacao %}</div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Fechar</button>
                    <button type="button"
                            class="btn btn-primary"
                            id="organizacao-associar-submit">Salvar</button>
                </div>
            </div>
        </div>
    </div>
{% endblock content %}
{% block includes_footer %}
    <script>const request_user_id = {{ user.id }};</script>
    <script type="text/javascript"
            src="{% vstatic 'main/js/territorios_list.js' %}"></script>
{% endblock includes_footer %}
